package top.daxian1218.dust.edp.controllers;

import org.springframework.web.bind.annotation.*;
import top.daxian1218.dust.edp.services.sys.MenuNode;
import top.daxian1218.dust.edp.services.sys.MenuService;

import java.util.List;

/**
 * @author daxian
 */
@RestController
@RequestMapping("/api")
public class MenuController {

    private final MenuService menuService;

    public MenuController(MenuService menuService) {
        this.menuService = menuService;
    }

    @GetMapping("menu")
    public List<MenuNode> GetMenus() {
        return menuService.ListMenu();
    }

    @GetMapping("menu/{id}")
    public MenuNode getMenu(@PathVariable String id) {
        return menuService.getMenu(id);
    }


}
