package top.daxian1218.dust.edp.services;

import com.alibaba.fastjson.JSONObject;
import top.daxian1218.dust.db.base.IDataAdapter;

public abstract class BuzService extends BaseService implements IBuzService {
    private final ThreadLocal<IDataAdapter> localAdapter = new ThreadLocal<>();

    public abstract Object InvokeAsync(JSONObject inParams);

    public IDataAdapter getDataAdapter() {
        return localAdapter.get();
    }

    public void setDataAdapter(IDataAdapter dataAdapter) {
        localAdapter.set(dataAdapter);
    }
}