package top.daxian1218.dust.edp.services.authentication;

import com.alibaba.fastjson.JSONObject;

/**
 * @author daxian
 */
public interface IUserService
{
    /**
     * 获取用户信息
     * @return
     */
    JSONObject getUser();

    /**
     * 登录
     * @param input
     * @return
     */
    JSONObject login(JSONObject input);

    /**
     * 登出
     */
    void logout();

    /**
     * 刷新令牌
     * @return
     */
    JSONObject refreshToken();
}