package top.daxian1218.dust.edp.services.common;

import com.alibaba.fastjson.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import top.daxian1218.dust.commons.util.TypeUtil;
import top.daxian1218.dust.db.DictGlobalConfig;
import top.daxian1218.dust.edp.services.BuzService;

@Service
public class IdService extends BuzService {
    Logger logger = LoggerFactory.getLogger(IdService.class);
    @Override
    public Object InvokeAsync(JSONObject inParams) {
        Long id = DictGlobalConfig.Instance.getIdWorker().nextId();
        return TypeUtil.toString(id);
    }
}
