package top.daxian1218.dust.edp.services.storage;

import javax.servlet.http.HttpServletRequest;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author daxian
 */
public interface IFileRepository
{

	FormData upload(HttpServletRequest request);

	void download(String id, OutputStream os);

	void delete(String id);

	boolean exists(String id);
	/**
	 * 上传文件
	 * @param filePath
	 * @param source
	 * @return
	 */
	String uploadFile(String filePath, InputStream source);



	/**
	 * 下载文件
	 * @param filePath
	 * @param destination
	 */
	void downloadFile(String filePath, OutputStream destination);

	/**
	 * 删除文件
	 * @param filePath
	 */
	void deleteFile(String filePath);
}