package top.daxian1218.dust.edp.services.sys;

import java.util.List;

/**
 * 系统菜单过滤接口
 * @author daxian
 */
public interface IMenuFilter {
    /**
     * 过滤
     * @param menus
     * @return
     */
    List<MenuNode> doFilter(List<MenuNode> menus);

    /**
     * 校验是否具备菜单权限
     * @param menu
     * @return
     */
    boolean validate(MenuNode menu);
}
