package top.daxian1218.dust.edp;

import top.daxian1218.dust.commons.exception.DustUserException;

/**
 * @author daxian
 */
public class BuzException extends DustUserException {
    public BuzException(String message, String error, Exception inner) {
        super(message, error, inner);

    }

    public BuzException(String message, String error) {
        this(message, error, null);
        this.setStatus(2000);
    }

    public BuzException(String message) {
        this(message, "0001", null);
    }


    public static BuzException ArgumentMissing(String name) {
        return new BuzException("参数" + name + "不存在", "0003");
    }
}