package top.daxian1218.dust.edp.controllers;

import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import top.daxian1218.dust.commons.thread.LocalHolder;
import top.daxian1218.dust.edp.services.BuzServiceManager;
import top.daxian1218.dust.edp.services.UIService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author daxian
 */
@RestController
@RequestMapping(value = "/api/dict", method = RequestMethod.POST)
public class DictController {
    private final UIService _uiService;

    public DictController(UIService uiService) {
        _uiService = uiService;
    }

    @RequestMapping(value = "{method}")
    public Object ExecuteAsync(HttpServletRequest request,
                               HttpServletResponse response,
                               @PathVariable String method,
                               @RequestBody(required = false) JSONObject body                               ) {

        return _uiService.dispatchAsync(method, body, request, response);
    }



}