package top.daxian1218.dust.edp.services.dict;

import com.alibaba.fastjson.JSONObject;
import org.springframework.stereotype.Service;
import top.daxian1218.dust.db.base.IDataAdapter;
import top.daxian1218.dust.db.dict.DictObj;
import top.daxian1218.dust.edp.services.BuzService;
import top.daxian1218.dust.edp.utils.DictObjUtil;

@Service
public class DictSaveSvc extends BuzService {
    protected boolean DoBeforeSave(DictObj obj, IDataAdapter adapter) {
        return true;
    }

    protected boolean DoAfterSave(DictObj obj, IDataAdapter adapter) {
        return true;
    }

    public Object InvokeAsync(JSONObject inParams) {
        DictObj obj = DictObjUtil.getDataObj(inParams);
        DictObjUtil.LoadData(inParams, obj);
        if (DoBeforeSave(obj, getDataAdapter())) {
            obj.save(getDataAdapter());
            if (DoAfterSave(obj, getDataAdapter())) {
                getDataAdapter().commit();
            }
        }

        return true;
    }
}