package top.daxian1218.dust.edp.services.io;

import java.util.ArrayList;
import java.util.List;

/**
 * @author daxian
 */
public class ImportResult {
    private long rowCount;
    private List<RowError> errors = new ArrayList<>();
    private boolean allPassed = true;

    public long getRowCount() {
        return rowCount;
    }

    public void setRowCount(long rowCount) {
        this.rowCount = rowCount;
    }

    public List<RowError> getErrors() {
        return errors;
    }

    public void setErrors(List<RowError> errors) {
        this.errors = errors;
    }

    public boolean isAllPassed() {
        return allPassed;
    }

    public void setAllPassed(boolean allPassed) {
        this.allPassed = allPassed;
    }

    public static class RowError {
        private String error;
        private long rowNum;

        public String getError() {
            return error;
        }

        public void setError(String error) {
            this.error = error;
        }

        public long getRowNum() {
            return rowNum;
        }

        public void setRowNum(long rowNum) {
            this.rowNum = rowNum;
        }
    }
}
