package top.daxian1218.dust.edp.utils;

import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;

/**
 * @author daxian
 */
public class ExcelUtil {
    public static Object getFormulaResult(Cell cell) {
        CellType cellType = cell.getCachedFormulaResultType();
        switch (cellType) {
            case NUMERIC:
                return cell.getNumericCellValue();
            case BOOLEAN:
                return cell.getBooleanCellValue();
            case ERROR:
                return StringUtils.EMPTY;
            default:
                return cell.getStringCellValue();
        }
    }
}
